Skip to main content
PATCH
Update router

Authorizations

Authorization
string
header
required

API key for authentication. Make sure to include the word apikey, followed by a single space and then your token. Example: apikey 1234$abcdef

Path Parameters

project_id
integer
required

Project ID

Example:

1

region_id
integer
required

Region ID

Example:

1

router_id
string<uuid4>
required

Router ID

Example:

"ccd5b925-e35c-4611-a511-67ab503104c8"

Body

application/json
external_gateway_info
RouterExternalManualGwSerializer · object | null

New external gateway configuration. Only type 'manual' is accepted on update, so you must provide the network_id of the external network. Set to null to remove the external gateway.

Example:
name
string | null

New name of router

Pattern: ^[a-zA-Z0-9][a-zA-Z 0-9._\-]{1,61}[a-zA-Z0-9._]$
Example:

"my_renamed_router"

routes
RouteInSerializer · object[] | null

List of custom routes.

Example:

Response

200 - application/json

OK

created_at
string<date-time>
required

Datetime when the router was created

distributed
boolean
required

Whether the router is distributed or centralized.

Examples:

true

false

id
string<uuid4>
required

Router ID

interfaces
PortSerializer · object[]
required

List of router interfaces.

name
string
required

Router name

project_id
integer
required

Project ID

Example:

1337

region
string
required

Region name

Example:

"Luxembourg 1"

region_id
integer
required

Region ID

Example:

7

routes
RouteOutSerializer · object[]
required

List of custom routes.

status
string
required

Status of the router.

task_id
string<uuid4> | null
required

The UUID of the active task that currently holds a lock on the resource. This lock prevents concurrent modifications to ensure consistency. If null, the resource is not locked.

updated_at
string<date-time>
required

Datetime when the router was last updated

creator_task_id
string<uuid4> | null

Task that created this entity

external_gateway_info
ExternalGatewaySerializer · object | null

State of this router's external gateway.